Home > Ackeard 2i > Ackeard 2i update for 3DS v2.1 and DSi v1.4.3

Ackeard 2i update for 3DS v2.1 and DSi v1.4.3

This update support 3DS V2.1 and DSi V1.4.3. Please refer to readme.txt in the package.
Please choose update file according to your console. If you’re using DSi or DSXL please use ak2ifw_update_3ds21_DSi143.nds to update. I f you’re using DSL or DSPhat please useak2ifw_update_3ds21_DSi143_onDSL.nds to update.
Just follow the instructions after you run the update file.
Please download it

Comments are closed.

TOP